#!/bin/bash
rm -f dname.txt
rm -f dname_tmp.txt
for name in `modinfo $1 | grep "pci:"`
do
	dname=$( echo $name | awk -F 'd0000' '{printf $2}' | awk -F 'sv' '{printf $1}')
	echo $dname >> dname.txt
done

cat dname.txt | sort | uniq > dname_tmp.txt

for name in `cat dname_tmp.txt`
do
	echo -n "$name|"
done
